textures/nihiltex/hellwire
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/nihiltex/hellwire.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/nihiltex/n_xfloor
{
	qer_editorimage textures/nihiltex/n_xfloor.tga

	{
		map textures/nihiltex/nchrome.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/nihiltex/n_xfloor.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/nihiltex/cd2lightx
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/nihiltex/cd2xlightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/nihiltex/cd2xlightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/nihiltex/cd2padwall
	{
	//q3map_surfacelight 100
	//q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/nihiltex/npadglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
	
}


textures/nihiltex/zapscrollnolight
{
        //q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/sfx/zap_scroll.tga
	cull none
	
	{
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}



textures/nihiltex/whitedfog
//**************************************
//New death fog that must be in all maps with death fog
//**************************************
{
	qer_editorimage textures/nihiltex/deathfog1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	//q3map_surfacelight 50
	fogparms ( 615 .309 0 ) 200

	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.1 -.1
		tcmod scroll .03 -.03
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .1 .1
		tcmod scroll .02 -.02
		rgbgen identity
	}

}


textures/nihiltex/nceilc
{
        surfaceparm 	nolightmap
	qer_editorimage textures/nihiltex/nceilc

	{
		map textures/nihiltex/nchrome.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/nihiltex/nceilc.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}


textures/nihiltex/teleprtsfx

{
                qer_editorimage textures/nihiltex/n_sfx_ring.tga 
        	surfaceparm nolightmap
		deformVertexes wave 100 sin 0 2 0 .5
		cull none
	
	{
		map textures/nihiltex/n_sfx_ring_y2.tga 
		//blendfunc gl_src_alpha gl_one_minus_src_alpha
                blendfunc  gl_src_alpha GL_ONE
	       
        }

	
	{	
         	map textures/nihiltex/n_sfx_ring_electric.tga 
   	        blendfunc gl_one gl_one
	        rgbgen wave inversesawtooth 0 1 .2 .5
	        tcmod scroll 0 .5
             
	}
	
	{
		map textures/nihiltex/n_sfx_ring.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}


}

textures/nihiltex/nmetalpipe_hell_m
{
	qer_editorimage textures/nihiltex/nwire02a_f.tga

        {
		map textures/nihiltex/nhellfx.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
                tcMod scroll .05 0
	}
        
	
	{
		map textures/nihiltex/nwire02a_fhell.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
    
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/nihiltex/nslime2
	{



		qer_editorimage textures/nihiltex/nslime2.tga
		q3map_lightimage textures/nihiltex/nslime2.tga
		q3map_globaltexture
		qer_trans .5
                q3map_surfacelight 20 
		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		


		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 .6 .6 1

		{
			map textures/nihiltex/nslime2.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		

		{
		map textures/nihiltex/nslime2x.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 .5 0 1
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	        }
	

		// 	END
	}


textures/nihiltex/skelhell
{
	cull disable
        surfaceparm alphashadow
        surfaceparm trans	
        {
                map textures/nihiltex/skelhell.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}


textures/nihiltex/tex_nlaunchh
{

	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/nihiltex/tex_nlaunchh.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}


textures/nihiltex/xylavahell2
	{



		qer_editorimage textures/nihiltex/ylavahell1.tga
		q3map_lightimage textures/nihiltex/ylavahell1.tga
		q3map_globaltexture
		qer_trans .5
                q3map_surfacelight 4000 
		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		


		tessSize 32
		cull disable

		//deformVertexes wave 100 sin 3 2 .1 0.1

		{
			map textures/nihiltex/ylavahell1.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		

		{
		map textures/nihiltex/ylavahell1x.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 2
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	        }
	

		// 	END
	}


models/mapobjects/nportal/nsewerportal_3
{

	{
		map models/mapobjects/nportal/nsewerportal_3.tga
		rgbGen vertex
	}

	{
		map models/mapobjects/nportal/nsewerportal_3_glo.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 .5
	}

}


textures/nihiltex/xnwallgraterot
{
         qer_editorimage textures/nihiltex/nwallgrate.tga

	{
		map $lightmap
		rgbgen identity      
	}

        {
		map textures/nihiltex/grsfx1.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 40
        }
               
        {
	        map textures/nihiltex/nwallgrate.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/nihiltex/nwallgrate
{
         qer_editorimage textures/nihiltex/nwallgrate.tga

	{
		map $lightmap
		rgbgen identity      
	}

        {
		map textures/sfx/firegorre.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll .0 .45
                tcMod turb 0 0.05 0 .05
        }
               
        {
	        map textures/nihiltex/nwallgrate.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/nihiltex/nsewerpipeshell
{
         qer_editorimage textures/nihiltex/nsewerpipes.tga

	{
		map $lightmap
		rgbgen identity      
	}

        {
		map textures/liquids/protolava2.jpg                                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll .0 .85
                tcMod turb 0 0.05 0 .05
        }
               
        {
	        map textures/nihiltex/nsewerpipes.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/nihiltex/ironcrosslt2
	{
	q3map_lightimage textures/nihiltex/ironcrosslt2.tga
	q3map_surfacelight 10
	//light 1

		{
			map textures/nihiltex/ironcrosslt2.tga
		}


		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity
		}

		{
			map textures/nihiltex/ironcrosslt2glo.tga
			blendfunc gl_one gl_one
			rgbgen wave sin .5 .5 0 1
		}

	}

textures/nihiltex/nihilbutton
	{
	q3map_lightimage textures/nihiltex/nihilbutton.tga
	q3map_surfacelight 10
	//light 1

		{
			map textures/nihiltex/nihilbutton.tga
		}


		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity
		}

		{
			map textures/nihiltex/nihilbuttonglo.tga
			blendfunc gl_one gl_one
			rgbgen wave sin .5 .5 0 1
		}

	}




textures/nihiltex/deathfog1
{
	qer_editorimage textures/nihiltex/deathfog1.tga
	surfaceparm	trans
        surfaceparm	nonsolid
        surfaceparm	fog
        surfaceparm	nolightmap
//	q3map_globaltexture
//	q3map_surfacelight 50
	fogparms ( .0 .0 .0 ) 100

	
	

}



textures/nihiltex/grmess1
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
                map textures/nihiltex/grmess1.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/nihiltex/nredlavahell
{
	
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/nihiltex/nredlavahell.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/nihiltex/nredlavahell.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/nihiltex/n_xbounce_a1
{
	surfaceparm nodamage
	q3map_surfacelight 400

	
	{
		map textures/nihiltex/n_xbounce_a1.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	//{
	//	map textures/nihiltex/n_telepadglow.tga
	//	blendfunc gl_one gl_one
	//	rgbGen wave sin .5 .5 0 1.5	
	//}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

textures/nihiltex/ngratelamp
{
    cull disable
    
        {
                map textures/nihiltex/ngratelamp.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

textures/nihiltex/ngratelamp_flare
{
	deformVertexes autoSprite

	q3map_surfacelight	300

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/nihiltex/ngratelamp_flare.tga
		blendFunc GL_ONE GL_ONE
	}	
	
}

textures/nihiltex/nmetalpipe_chrome
{
	qer_editorimage textures/nihiltex/nwire02a_f.tga

	{
		map textures/nihiltex/nchrome.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/nihiltex/nwire02a_f.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/nihiltex/skintrim
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/nihiltex/skintrim.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/nihiltex/n_xstucco7topgr
{

        {
		map textures/nihiltex/protogr.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll .01 .03
                tcMod turb 0 0.05 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
       
	{
	        map textures/nihiltex/n_xstucco7topgr.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/nihiltex/ntech
{
	
        
        {
		map textures/nihiltex/grsfx.tga
                tcmod scale 2 .4
                tcmod scroll -6 -.6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/nihiltex/ntech.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/nihiltex/nslime
	{



		qer_editorimage textures/nihiltex/nslime.tga
		q3map_lightimage textures/nihiltex/nslime.tga
		q3map_globaltexture
		qer_trans .5
//              q3map_surfacelight 20 
		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		


		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/nihiltex/nslime.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		

		{
		map textures/nihiltex/nslimex.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 4
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	        }
	

		// 	END
	}


textures/nihiltex/nsewerpipesgreen
{
         qer_editorimage textures/nihiltex/nsewerpipes.tga

	{
		map $lightmap
		rgbgen identity      
	}

        {
		map textures/nihiltex/nslime.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll .0 .15
                tcMod turb 0 0.05 0 .05
        }
               
        {
	        map textures/nihiltex/nsewerpipes.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
